Extending Qt Creator Manual | HighlightingResult

Extending Qt Creator Manual 4.5.2

# HighlightingResult Class

(TextEditor::HighlightingResult)

- List of all members, including inherited members

## Public Functions

| HighlightingResult() = default
| HighlightingResult(unsigned line, unsigned column, unsigned length, int kind)
| HighlightingResult(unsigned line, unsigned column, unsigned length, TextStyles textStyles)
bool | isInvalid() const
bool | isValid() const
bool | operator==(const HighlightingResult &other) const

## Member Function Documentation

### `[default]` HighlightingResult::HighlightingResult()

Default constructs an instance of HighlightingResult.

### HighlightingResult::HighlightingResult(unsigned line, unsigned column, unsigned length, int kind)

Default constructs an instance of HighlightingResult.

### HighlightingResult::HighlightingResult(unsigned line, unsigned column, unsigned length, TextStyles textStyles)

Default constructs an instance of HighlightingResult.

### bool HighlightingResult::isInvalid() const

### bool HighlightingResult::isValid() const

### bool HighlightingResult::operator==(const HighlightingResult &other) const